news/nget - The NetBSD Packages Collection

Command line nntp file grabber

nget is a command line nntp file grabber.
It automatically pieces together multipart postings for easy
retrieval, even substituting parts from multiple servers and
newsgroups. Handles disconnects gracefully, resuming after the
last part succesfully downloaded.

features:
  * Automatic multi-part post joining
  * Automatic binary decoding (using uulib)
  * Caches header data for quick access
  * Full multi-server support, transparently joining parts
    from different servers
  * Full multi-group support, transparently joining parts from
    multiple newsgroups
  * Automatic retries on network errors
  * Resumes after the last part successfully downloaded
  * Dupe file detection to avoid unneeded downloads
  * Select what to retrieve based upon a regular expresson (-r),
    or even a more complex expression (-R) based upon any of the
    file's subject, author, lines, bytes, # of parts we have,
    # of parts req, date, age, messageid, and references.
  * Search for newsgroups based on their names and/or descriptions
  * Automatic handling of PAR and PAR2 files retrieves only as many
    recovery files as necessary to repair any missing/damaged files.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

converters/uulib devel/pcre devel/popt converters/uulib devel/pcre devel/popt

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfnget-0.27.1nb4.tgz
NetBSD 8.0earmv7hfnget-0.27.1nb4.tgz
NetBSD 8.0earmv7hfnget-0.27.1nb4.tgz
NetBSD 8.0i386nget-0.27.1nb4.tgz
NetBSD 8.0i386nget-0.27.1nb4.tgz
NetBSD 8.0powerpcnget-0.27.1nb4.tgz
NetBSD 8.0powerpcnget-0.27.1nb4.tgz
NetBSD 8.0powerpcnget-0.27.1nb4.tgz
NetBSD 8.0powerpcnget-0.27.1nb4.tgz
NetBSD 8.0x86_64nget-0.27.1nb4.tgz
NetBSD 8.0x86_64nget-0.27.1nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.